# curs_beep 3x 2025-02-01 ncurses 6.6 Library calls

    curs_beep(3x)                    Library calls                   curs_beep(3x)

## NAME

           beep, flash - ring the (visual) bell of the terminal with curses

## SYNOPSIS

           #include <curses.h>

           int beep(void);
           int flash(void);

## DESCRIPTION

           beep  and  flash  alert  the  terminal user: the former by sounding the
           terminal's  audible  alarm,  and  the  latter  by  visibly   attracting
           attention.    Commonly,   a   terminal  implements  a  visual  bell  by
           momentarily reversing the character foreground and background colors on
           the entire display; even  a  monochrome  device  can  do  this.   These
           functions  each  attempt  the  other alert type if the one requested is
           unavailable.  If neither  is  available,  curses  performs  no  action.
           Nearly  all terminals have an audible alert mechanism such as a bell or
           piezoelectric buzzer, but only some can flash the screen.

## RETURN VALUE

           These functions return OK on success and ERR on failure.

           In ncurses, beep and flash return OK if the terminal type supports  the
           corresponding  capability: bell (bel) for beep and flash_screen (flash)
           for flash.  Otherwise they return ERR.

## EXTENSIONS

           In ncurses, these functions can return ERR.

## PORTABILITY

           X/Open Curses Issue 4 describes these functions.  It specifies no error
           conditions for them.

           On SVr4 curses, they always return OK, and X/Open Curses specifies them
           as doing so.

## HISTORY

           SVr2 (1984) introduced beep and flash.

## SEE ALSO

           curses(3x), terminfo(5)

    ncurses 6.6                       2025-02-01                     curs_beep(3x)